GET
/api/v1/resources/{ResourceId}/permissions
http://workdocs.{region}.amazonaws.com/api/v1/resources/{ResourceId}/permissionsDescribes the permissions of a specified resource.
Access Token Required: API Key
Path Parameters
ResourceIdstringrequired
The ID of the resource.
Query Params
principalIdstring
The ID of the principal to filter permissions by.
limitinteger
The maximum number of items to return with this call.
markerstring
The marker for the next set of results. (You received this marker from a previous call)
Limitstring
Pagination limit
Markerstring
Pagination token
Responses
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}Language
CredentialsAPI KEY
API Key
Enter token below to save for later
cURL Request
1curl --request GET \2 --url 'http://workdocs.{region}.amazonaws.com/api/v1/resources/{ResourceId}/permissions' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'Response
1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}